#!/bin/sh

# OS specific support.
lombozredhat=false;
eclipsesuse=false;

osversion="`uname -a`"

case "$osversion" in
  *i686*) 
    echo "  Machine architecture i686 detected. Lomboz.org server assumed. "
  	lombozredhat=true;;
  *ppc*)  
    echo "  Machine architecture ppc detected. Eclipse.org server assumed. "
    eclipsesuse=true;;
  *) 
     echo "   Warning: possible program or setup error since unhandled os version: $osversion"
esac

port="7000"
if $lombozredhat ; then
   port="8000"
fi

DISPLAY=127.0.0.1:1.0
export DISPLAY
nohup sh $CCDIR/cruisecontrol.sh $BUILD_HOME/build-node/builder/releng.builder/tools/cruise/config.xml -port $port -user wtp -password ballad  > cruise.out &

